summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorotreblan2020-02-25 21:29:19 -0500
committerotreblan2020-02-25 21:29:19 -0500
commit00d61171f8e20577114aa3a7038a58924a6935b8 (patch)
tree07a50c7f462db12a0a801b40e32ade9721263671
downloadaur-00d61171f8e20577114aa3a7038a58924a6935b8.tar.gz
First commit
-rw-r--r--.SRCINFO17
-rw-r--r--.gitignore17
-rw-r--r--PKGBUILD44
3 files changed, 78 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..13637e54193
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = ai-dungeon-cli-git
+ pkgdesc = Play ai dungeon on your terminal
+ pkgver = r13.1bd650d
+ pkgrel = 1
+ url = https://github.com/idangur/ai-dungeon-cli
+ arch = any
+ license = MIT
+ makedepends = python-setuptools
+ depends = python-requests
+ depends = python-yaml
+ provides = ai-dungeon-cli
+ conflicts = ai-dungeon-cli
+ source = ai-dungeon-cli-git::git+https://github.com/idangur/ai-dungeon-cli.git#branch=create-user-if-not-configured
+ sha256sums = SKIP
+
+pkgname = ai-dungeon-cli-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..c9bbfbdef74
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,17 @@
+# create by https://github.com/iamcco/coc-gitignore (Tue Feb 25 2020 21:28:30 GMT-0500 (hora estándar de Perú))
+# ArchLinuxPackages.gitignore:
+*.tar
+*.tar.*
+*.jar
+*.exe
+*.msi
+*.zip
+*.tgz
+*.log
+*.log.*
+*.sig
+
+pkg/
+src/
+
+ai-dungeon-cli-git/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a9d5d14562f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Otreblan <otreblain@gmail.com>
+
+pkgname=ai-dungeon-cli-git
+pkgver=r13.1bd650d
+pkgrel=1
+pkgdesc="Play ai dungeon on your terminal"
+arch=('any')
+url="https://github.com/idangur/ai-dungeon-cli"
+license=('MIT')
+groups=()
+depends=("python-requests" "python-yaml")
+makedepends=("python-setuptools")
+checkdepends=()
+optdepends=()
+provides=(${pkgname%-git})
+conflicts=(${pkgname%-git})
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=("$pkgname::git+$url.git#branch=create-user-if-not-configured")
+noextract=()
+sha256sums=("SKIP")
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/^v-//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$pkgname"
+
+ python setup.py build
+}
+
+package() {
+ cd "$pkgname"
+
+ python setup.py install --root="$pkgdir/" --optimize=1 --skip-build
+}